# Class CommandResult | EchoHub Documentation

# Class CommandResult

Namespace
  EchoHub.Client.Commands

Assembly
  EchoHub.Client.dll

    public record CommandResult : IEquatable<CommandResult>

Inheritance
  object
  CommandResult

Implements
  IEquatable<CommandResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### CommandResult(CommandResult)

    protected CommandResult(CommandResult original)

#### Parameters

`original` CommandResult

### CommandResult(bool, string?, bool)

    public CommandResult(bool Handled, string? Message = null, bool IsError = false)

#### Parameters

`Handled` bool
`Message` string
`IsError` bool

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Handled

    public bool Handled { get; init; }

#### Property Value

bool

### IsError

    public bool IsError { get; init; }

#### Property Value

bool

### Message

    public string? Message { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out bool, out string?, out bool)

    public void Deconstruct(out bool Handled, out string? Message, out bool IsError)

#### Parameters

`Handled` bool
`Message` string
`IsError` bool

### Equals(CommandResult?)

    public virtual bool Equals(CommandResult? other)

#### Parameters

`other` CommandResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(CommandResult?, CommandResult?)

    public static bool operator ==(CommandResult? left, CommandResult? right)

#### Parameters

`left` CommandResult
`right` CommandResult

#### Returns

bool

### operator !=(CommandResult?, CommandResult?)

    public static bool operator !=(CommandResult? left, CommandResult? right)

#### Parameters

`left` CommandResult
`right` CommandResult

#### Returns

bool